/**
 *  Copyright notice
 *  
 *  This file is part of the Processing sketch `CavityCalculator' 
 *  http://www.gwoptics.org/processing/cavity_calculator/
 *
 *  Copyright (C) 2010 onwards Jamie Dougherty and Andreas Freise
 *  
 *  This program is free software; you can redistribute it and/or
 *  modify it under the terms of the GNU General Public License
 *  as published by the Free Software Foundation; either version 2
 *  of the License, or (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program; if not, write to the Free Software
 *  Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, 
 *  MA  02110-1301, USA.
 */


class PlotConfig
{
  color bordercolor;
  color fillcolor;
  int borderweight;
  
  public PlotConfig()
  {
    bordercolor = color(255);
    fillcolor = color(255);
    borderweight = 1;
  }

  public PlotConfig getConfig()
  {
    PlotConfig newConfig = new PlotConfig();
    newConfig.bordercolor = this.bordercolor;
    newConfig.fillcolor = this.fillcolor;
    newConfig.borderweight = this.borderweight;
    return newConfig;
  }
}

